#ifndef __OCR_DBUS_CLIENT_H__
#define __OCR_DBUS_CLIENT_H__

#include <glib.h>
#include <glib-object.h>
#include <dbus/dbus-glib-bindings.h>

#define OCR_TYPE_DBUS_CLIENT              (ocr_dbus_client_get_type())
#define OCR_DBUS_CLIENT(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_DBUS_CLIENT, OcrDBusClient))
#define OCR_IS_DBUS_CLIENT(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_DBUS_CLIENT))
#define OCR_DBUS_CLIENT_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_DBUS_CLIENT, OcrDBusClientClass))
#define OCR_IS_DBUS_CLIENT_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_DBUS_CLIENT))
#define OCR_DBUS_CLIENT_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_DBUS_CLIENT, OcrDBusClientClass))

typedef struct _OcrDBusClient            OcrDBusClient;
typedef struct _OcrDBusClientClass       OcrDBusClientClass;
typedef struct _OcrDBusClientPrivate     OcrDBusClientPrivate;

struct _OcrDBusClient
{
  GObject parent_instance;

  OcrDBusClientPrivate *priv;
};

struct _OcrDBusClientClass
{
  GObjectClass parent_class;

  DBusGConnection *connection;
};

GType			 ocr_dbus_client_get_type			(void);
gboolean		 ocr_dbus_client_test 				(OcrDBusClient *self);
gboolean		 ocr_dbus_client_load_image_file 		(OcrDBusClient *self,
									 gchar         *file);

#endif /* __OCR_DBUS_CLIENT_H__ */

