#ifndef __OCR_DBUS_SERVER_H__
#define __OCR_DBUS_SERVER_H__

#include <glib.h>
#include <glib-object.h>
#include <dbus/dbus-glib-bindings.h>
#include "ocr-window.h"

#define OCR_TYPE_DBUS_SERVER              (ocr_dbus_server_get_type())
#define OCR_DBUS_SERVER(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_DBUS_SERVER, OcrDBusServer))
#define OCR_IS_DBUS_SERVER(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_DBUS_SERVER))
#define OCR_DBUS_SERVER_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_DBUS_SERVER, OcrDBusServerClass))
#define OCR_IS_DBUS_SERVER_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_DBUS_SERVER))
#define OCR_DBUS_SERVER_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_DBUS_SERVER, OcrDBusServerClass))

typedef struct _OcrDBusServer            OcrDBusServer;
typedef struct _OcrDBusServerClass       OcrDBusServerClass;
typedef struct _OcrDBusServerPrivate     OcrDBusServerPrivate;

struct _OcrDBusServer
{
  GObject parent_instance;

  OcrDBusServerPrivate *priv;
};

struct _OcrDBusServerClass
{
  GObjectClass parent_class;

  DBusGConnection *connection;
};

GType			 ocr_dbus_server_get_type			(void);
void			 ocr_dbus_server_set_window			(OcrDBusServer *self,
									 OcrWindow     *window);
#endif /* __OCR_DBUS_SERVER_H__ */

