#ifndef __OCR_ENGINE_H__
#define __OCR_ENGINE_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define OCR_TYPE_ENGINE             (ocr_engine_get_type ())
#define OCR_ENGINE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_ENGINE, OcrEngine))
#define OCR_ENGINE_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_ENGINE, OcrEngineClass))
#define OCR_IS_ENGINE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_ENGINE))
#define OCR_IS_ENGINE_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_ENGINE))
#define OCR_ENGINE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_ENGINE, OcrEngineClass))

typedef struct _OcrEngine      OcrEngine;
typedef struct _OcrEngineClass OcrEngineClass;

typedef struct _OcrEnginePrivate OcrEnginePrivate;

struct _OcrEngine
{
  GObject parent_instance;

  OcrEnginePrivate  *priv;

  gchar             *temp_folder;
  gchar             *file_mime_type;
  GFile             *temp_file;
  gchar             *temp_file_type;
  gchar            **convert_options;
  GFile             *output_file;
  gchar            **command;
  gchar             *standard_output;
  gchar             *standard_error;
};

struct _OcrEngineClass
{
  GObjectClass parent_class;

  gboolean	(*check_programs)		(OcrEngine *self);
  gboolean	(*get_options)			(OcrEngine *self);
  gboolean	(*check_valid_image_type)	(OcrEngine *self,
						 GFile     *file);
  gboolean	(*create_command)		(OcrEngine *self,
						 GFile     *file);
};

GType		 	 ocr_engine_get_type			(void);
gboolean		 ocr_engine_get_options			(OcrEngine *self);
gboolean		 ocr_engine_check_valid_image_type	(OcrEngine *self,
								 GFile     *file);
gboolean		 ocr_engine_create_command		(OcrEngine *self,
								 GFile     *file);
gboolean		 ocr_engine_launch			(OcrEngine *self,
								 GFile     *file);

G_END_DECLS

#endif /* __OCR_ENGINE_H__ */
