#ifndef __OCR_IMAGE_LIST_H__
#define __OCR_IMAGE_LIST_H__

#include <gtk/gtk.h>
#include "ocr-preferences.h"

#define ICON_VIEW_ICON_MAX_WIDTH 150
#define ICON_VIEW_ICON_MAX_HEIGHT 100

#define OCR_IMAGE_LIST_SAVE_MULTIPLE_TEXT_DIALOG_KEY "ocr-image-list-save-multiple-text-dialog-key"

#define OCR_TYPE_IMAGE_LIST              (ocr_image_list_get_type())
#define OCR_IMAGE_LIST(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_IMAGE_LIST, OcrImageList))
#define OCR_IS_IMAGE_LIST(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_IMAGE_LIST))
#define OCR_IMAGE_LIST_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_IMAGE_LIST, OcrImageListClass))
#define OCR_IS_IMAGE_LIST_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_IMAGE_LIST))
#define OCR_IMAGE_LIST_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_IMAGE_LIST, OcrImageListClass))

typedef struct _OcrImageList            OcrImageList;
typedef struct _OcrImageListClass       OcrImageListClass;
typedef struct _OcrImageListPrivate     OcrImageListPrivate;

struct _OcrImageList
{
  GtkVBox parent_instance;

  OcrImageListPrivate *priv;
};

struct _OcrImageListClass
{
  GtkVBoxClass parent_class;
};

GType			 ocr_image_list_get_type			(void);
GtkWidget		*ocr_image_list_get_active_panel		(OcrImageList *self);
gboolean		 ocr_image_list_add_image			(OcrImageList *self,
									 GFile        *file);
void			 ocr_image_list_close_images			(OcrImageList *self);
gboolean		 ocr_image_list_check_selected			(OcrImageList *self);
gboolean		 ocr_image_list_check_state_for_selected	(OcrImageList *self);
void			 ocr_image_list_save_multiple_text		(OcrImageList *self,
									 gchar        *uri);
void			 ocr_image_list_set_font			(OcrImageList *self,
									 const gchar  *font_name);
void			 ocr_image_list_change_layout			(OcrImageList         *self,
									 OcrPreferencesLayout  layout);

#endif /* __OCR_IMAGE_LIST_H__ */

