#ifndef __OCR_PREFERENCES_H__
#define __OCR_PREFERENCES_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define OCR_TYPE_PREFERENCES             (ocr_preferences_get_type ())
#define OCR_PREFERENCES(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_PREFERENCES, OcrPreferences))
#define OCR_PREFERENCES_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_PREFERENCES, OcrPreferencesClass))
#define OCR_IS_PREFERENCES(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_PREFERENCES))
#define OCR_IS_PREFERENCES_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_PREFERENCES))
#define OCR_PREFERENCES_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_PREFERENCES, OcrPreferencesClass))

typedef enum
{
  OCR_PREFERENCES_LAYOUT_V = 1,
  OCR_PREFERENCES_LAYOUT_H
} OcrPreferencesLayout;

typedef enum
{
  OCR_PREFERENCES_PREFERRED_OCR_ENGINE_TESSERACT = 1,
  OCR_PREFERENCES_PREFERRED_OCR_ENGINE_GOCR,
} OcrPreferencesPreferredOcrEngine;

typedef struct _OcrPreferences      OcrPreferences;
typedef struct _OcrPreferencesClass OcrPreferencesClass;

typedef struct _OcrPreferencesPrivate OcrPreferencesPrivate;

struct _OcrPreferences
{
  GObject parent_instance;

  OcrPreferencesPrivate *priv;
};

struct _OcrPreferencesClass
{
  GObjectClass parent_class;
};

GType		 	 ocr_preferences_get_type			(void);
void			 ocr_preferences_create_dialog			(OcrPreferences *self);
gboolean		 ocr_preferences_check_program			(OcrPreferences *self,
									 const gchar    *program_name);
gint			 ocr_preferences_get_layout			(OcrPreferences *self);
gchar			*ocr_preferences_get_save_default_folder 	(OcrPreferences *self);
gboolean		 ocr_preferences_get_remove_nl			(OcrPreferences *self);
gboolean		 ocr_preferences_get_substitute_with_space	(OcrPreferences *self);
gchar			*ocr_preferences_get_separator			(OcrPreferences *self);
gchar			*ocr_preferences_get_temp_folder		(OcrPreferences *self);
gint			 ocr_preferences_get_preferred_ocr_engine	(OcrPreferences *self);

gchar			*ocr_preferences_get_tesseract_valid_language_code			(OcrPreferences *self);

gdouble			 ocr_preferences_get_gocr_grey_level					(OcrPreferences *self);
gboolean		 ocr_preferences_get_gocr_grey_level_autodetect				(OcrPreferences *self);
gdouble			 ocr_preferences_get_gocr_dust_size					(OcrPreferences *self);
gboolean		 ocr_preferences_get_gocr_dust_size_autodetect				(OcrPreferences *self);
gdouble			 ocr_preferences_get_gocr_spacewidth_between_words			(OcrPreferences *self);
gboolean		 ocr_preferences_get_gocr_spacewidth_between_words_autodetect		(OcrPreferences *self);
gdouble			 ocr_preferences_get_gocr_value_for_certainty_of_recognition		(OcrPreferences *self);
gboolean		 ocr_preferences_get_gocr_value_for_certainty_of_recognition_default	(OcrPreferences *self);

gchar			*ocr_preferences_get_hunspell_dictionary_path				(OcrPreferences *self);

G_END_DECLS

#endif /* __OCR_PREFERENCES_H__ */
