#ifndef __OCR_SPELLCHECK_H__
#define __OCR_SPELLCHECK_H__

#include <glib.h>
#include <glib-object.h>

#define OCR_TYPE_SPELLCHECK              (ocr_spellcheck_get_type())
#define OCR_SPELLCHECK(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_SPELLCHECK, OcrSpellcheck))
#define OCR_IS_SPELLCHECK(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_SPELLCHECK))
#define OCR_SPELLCHECK_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_SPELLCHECK, OcrSpellcheckClass))
#define OCR_IS_SPELLCHECK_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_SPELLCHECK))
#define OCR_SPELLCHECK_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_SPELLCHECK, OcrSpellcheckClass))

typedef struct _OcrSpellcheck            OcrSpellcheck;
typedef struct _OcrSpellcheckClass       OcrSpellcheckClass;
typedef struct _OcrSpellcheckPrivate     OcrSpellcheckPrivate;

struct _OcrSpellcheck
{
  GObject parent_instance;

  OcrSpellcheckPrivate *priv;

  gchar *dictionary_path;
};

struct _OcrSpellcheckClass
{
  GObjectClass parent_class;
};

GType			 ocr_spellcheck_get_type			(void);
gboolean		 ocr_spellcheck_is_ok				(OcrSpellcheck *self);
gboolean		 ocr_spellcheck_check_word			(OcrSpellcheck *self,
									 const gchar   *word);
GList			*ocr_spellcheck_suggest				(OcrSpellcheck *self,
								      	 guint         *n_suggestions,
					  				 const gchar   *word);
void			 ocr_spellcheck_create				(OcrSpellcheck *self);
void			 ocr_spellcheck_change_dictionary		(OcrSpellcheck *self,
									 const gchar   *dictionary_path);

#endif /* __OCR_SPELLCHECK_H__ */

