#ifndef __OCR_TEXTBUFFER_H__
#define __OCR_TEXTBUFFER_H__

#include <gtk/gtk.h>

#define OCR_TYPE_TEXTBUFFER              (ocr_textbuffer_get_type())
#define OCR_TEXTBUFFER(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_TEXTBUFFER, OcrTextBuffer))
#define OCR_IS_TEXTBUFFER(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_TEXTBUFFER))
#define OCR_TEXTBUFFER_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_TEXTBUFFER, OcrTextBufferClass))
#define OCR_IS_TEXTBUFFER_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_TEXTBUFFER))
#define OCR_TEXTBUFFER_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_TEXTBUFFER, OcrTextBufferClass))

typedef struct _OcrTextBuffer            OcrTextBuffer;
typedef struct _OcrTextBufferClass       OcrTextBufferClass;
typedef struct _OcrTextBufferPrivate     OcrTextBufferPrivate;

struct _OcrTextBuffer
{
  GtkTextBuffer parent_instance;

  OcrTextBufferPrivate *priv;

};

struct _OcrTextBufferClass
{
  GtkTextBufferClass parent_class;
};

GType			 ocr_textbuffer_get_type			(void);
void			 ocr_textbuffer_get_iter_at_click_mark 		(OcrTextBuffer *self,
									 GtkTextIter   *iter);
void			 ocr_textbuffer_set_click_mark 			(OcrTextBuffer *self,
									 GtkTextIter   *iter); 
gboolean		 ocr_textbuffer_spellcheck_put_underline_tag	(OcrTextBuffer *self);
void			 ocr_textbuffer_clear_spellcheck_mark		(OcrTextBuffer *self);
gboolean		 ocr_textbuffer_get_next_bad_word		(OcrTextBuffer  *self,
									 gchar         **word,
									 GList         **suggestions,
									 guint          *suggestions_number);
gboolean		 ocr_textbuffer_get_bad_word			(OcrTextBuffer *self,
									 gchar         **word);
void			 ocr_textbuffer_remove_tags			(OcrTextBuffer *self,
									 gboolean       remove_underline,
									 gboolean       remove_during_check);
void			 ocr_textbuffer_substitute_word			(OcrTextBuffer *self,
									 const gchar   *new_word);
gchar			*ocr_textbuffer_get_content			(OcrTextBuffer *self);
void			 ocr_textbuffer_load_content			(OcrTextBuffer *self,
									 GFile         *file);
GtkTextChildAnchor	*ocr_textbuffer_load_message			(OcrTextBuffer *self,
									 const gchar   *message);

#endif /* __OCR_TEXTBUFFER_H__ */
