#ifndef __OCR_TEXTVIEW_H__
#define __OCR_TEXTVIEW_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "ocr-spellcheck.h"

#define OCR_TYPE_TEXTVIEW              (ocr_textview_get_type())
#define OCR_TEXTVIEW(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_TEXTVIEW, OcrTextView))
#define OCR_IS_TEXTVIEW(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_TEXTVIEW))
#define OCR_TEXTVIEW_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_TEXTVIEW, OcrTextViewClass))
#define OCR_IS_TEXTVIEW_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_TEXTVIEW))
#define OCR_TEXTVIEW_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_TEXTVIEW, OcrTextViewClass))

typedef struct _OcrTextView            OcrTextView;
typedef struct _OcrTextViewClass       OcrTextViewClass;
typedef struct _OcrTextViewPrivate     OcrTextViewPrivate;

struct _OcrTextView
{
  GtkTextView parent_instance;

  OcrTextViewPrivate *priv;
};

struct _OcrTextViewClass
{
  GtkTextViewClass parent_class;
};

GType			 ocr_textview_get_type			(void);
void			 ocr_textview_spellcheck		(OcrTextView *self);
void			 ocr_textview_load_error_message	(OcrTextView *self,
								 const gchar *stock_id,
								 const gchar *file_name,
								 const gchar *title,
								 const gchar *message);

#endif /* __OCR_TEXTVIEW_H__ */

