#ifndef __OCR_UI_PANEL_H__
#define __OCR_UI_PANEL_H__

#include <gtk/gtk.h>

#include "ocr-commands-panel.h"

static GtkActionEntry action_entries_image[] = {
  { "ImageMenu", NULL, N_("_Image")  },

  { "RunOCR", "ocrgui-run-engine",
    N_("_Recognition"), "<control>r",
    N_("Extract text from image"),
    G_CALLBACK (ocr_cmd_panel_run_ocr) },
  { "ZoomIn", GTK_STOCK_ZOOM_IN,
    N_("_Zoom in"), "<control>KP_Add",
    N_("Enlarge the image"),
    G_CALLBACK (ocr_cmd_panel_zoom) },
  { "ZoomOut", GTK_STOCK_ZOOM_OUT,
    N_("Zoom _out"), "<control>KP_Subtract",
    N_("Shrink the image"),
    G_CALLBACK (ocr_cmd_panel_zoom) },
  { "Zoom100", GTK_STOCK_ZOOM_100,
    N_("_Normal size"), "<control>0",
    N_("Show the image at its normal size"),
    G_CALLBACK (ocr_cmd_panel_zoom) },
  { "ZoomFit", GTK_STOCK_ZOOM_FIT,
    N_("_Fit to frame"), NULL,
    N_("Fit the image to the frame"),
    G_CALLBACK (ocr_cmd_panel_zoom) },
};

static GtkActionEntry action_entries_text[] = {
  { "TextMenu", NULL, N_("_Text")  },

  { "SaveText", GTK_STOCK_SAVE,
    N_("_Save text"),"<control>s",
    N_("Save text in a file"),
    G_CALLBACK (ocr_cmd_panel_save_text) },
  { "SpellCheck", GTK_STOCK_SPELL_CHECK,
    N_("S_pell check"), "<control>p",
    N_("Spell check with Hunspell"),
    G_CALLBACK (ocr_cmd_panel_text_spellcheck) },
  { "SelectFont", GTK_STOCK_SELECT_FONT,
    N_("S_elect font"), NULL,
    N_("Select text editor font"),
    G_CALLBACK (ocr_cmd_panel_select_font) },
};

#endif  /* __OCR_UI_PANEL_H__  */
