#ifndef __OCR_UI_H__
#define __OCR_UI_H__

#include <glib/gi18n.h>
#include <gtk/gtk.h>

#include "ocr-commands.h"

static GtkActionEntry action_entries_window[] = {
  { "FileMenu", NULL, N_("_File") },
  { "ImageMenu", NULL, N_("_Image") },
  { "TextMenu", NULL, N_("_Text") },
  { "HelpMenu", NULL, N_("_Help") },

  { "OpenImage", GTK_STOCK_OPEN,
    N_("_Open"), "<control>o",
    N_("Open an image file"),
    G_CALLBACK (ocr_cmd_open_image) },
  { "SaveMultipleText", GTK_STOCK_SAVE,
    N_("Save _multiple text"), "<control>m",
    N_("Save more texts in the same file"),
    G_CALLBACK (ocr_cmd_save_multiple_texts) },
  { "CloseImage", GTK_STOCK_CLOSE,
    N_("_Close"), "<control>w",
    N_("Close one or more image files"),
    G_CALLBACK (ocr_cmd_close_image) },
  { "RecentFiles", NULL, N_("Recent Files") },  
  { "Quit", GTK_STOCK_QUIT,
    N_("_Quit"), "<control>q",
    N_("Quit the program"),
    G_CALLBACK (ocr_cmd_quit) },
  { "Preferences", GTK_STOCK_PREFERENCES,
    N_("Pre_ferences"), NULL,
    N_("Configure the application"),
    G_CALLBACK (ocr_cmd_preferences) },
  { "About", GTK_STOCK_ABOUT,
    N_("_About"), NULL,
    N_("About"),
    G_CALLBACK (ocr_cmd_about) },
  { "Help", GTK_STOCK_HELP,
    N_("_Contents"), "F1",
    N_("Contents"),
    G_CALLBACK (ocr_cmd_help) }
};

static GtkActionEntry action_entries_image[] = {
  { "RunOCR", "ocrgui-run-engine",
    N_("_Recognition"), "<control>r",
    N_("Extract text from image"),
    G_CALLBACK (ocr_cmd_run_ocr) },
  { "ZoomIn", GTK_STOCK_ZOOM_IN,
    N_("_Zoom in"), "<control>KP_Add",
    N_("Enlarge the image"),
    G_CALLBACK (ocr_cmd_zoom) },
  { "ZoomOut", GTK_STOCK_ZOOM_OUT,
    N_("Zoom _out"), "<control>KP_Subtract",
    N_("Shrink the image"),
    G_CALLBACK (ocr_cmd_zoom) },
  { "Zoom100", GTK_STOCK_ZOOM_100,
    N_("_Normal size"), "<control>0",
    N_("Show the image at its normal size"),
    G_CALLBACK (ocr_cmd_zoom) },
  { "ZoomFit", GTK_STOCK_ZOOM_FIT,
    N_("_Fit to frame"), NULL,
    N_("Fit the image to the frame"),
    G_CALLBACK (ocr_cmd_zoom) },
};

static GtkActionEntry action_entries_text[] = {
  { "SaveText", GTK_STOCK_SAVE,
    N_("_Save"), "<control>s",
    N_("Save text in a file"),
    G_CALLBACK (ocr_cmd_save_text) },
  { "SpellCheck", GTK_STOCK_SPELL_CHECK,
    N_("S_pell check"), "<control>p",
    N_("Spell check with Hunspell"),
    G_CALLBACK (ocr_cmd_text_spellcheck) },
  { "SelectFont", GTK_STOCK_SELECT_FONT,
    N_("S_elect font"), NULL,
    N_("Select text editor font"),
    G_CALLBACK (ocr_cmd_select_font) },
};

/*
static GtkActionEntry action_entries_common[] = {
  { "LockScrolling", GTK_STOCK_EDIT,
    "_Lock image and text scrolling","<control>L",
    "Lock",
    G_CALLBACK (activate_action) },
};
*/

#endif  /* __OCR_UI_PANEL_H__  */
