#ifndef __OCR_WINDOW_H__
#define __OCR_WINDOW_H__

#include <gtk/gtk.h>
#include "ocr-define.h"

#define OCR_TYPE_WINDOW              (ocr_window_get_type())
#define OCR_WINDOW(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_WINDOW, OcrWindow))
#define OCR_IS_WINDOW(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_WINDOW))
#define OCR_WINDOW_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_WINDOW, OcrWindowClass))
#define OCR_IS_WINDOW_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_WINDOW))
#define OCR_WINDOW_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_WINDOW, OcrWindowClass))

#define OCR_WINDOW_OPEN_DIALOG_IMAGE_KEY "ocr-window-open-dialog-image-key"
#define OCR_WINDOW_OPEN_DIALOG_TEXT_KEY "ocr-window-open-dialog-text-key"

typedef struct _OcrWindow            OcrWindow;
typedef struct _OcrWindowClass       OcrWindowClass;
typedef struct _OcrWindowPrivate     OcrWindowPrivate;

struct _OcrWindow
{
  GtkWindow parent_instance;

  OcrWindowPrivate *priv;

  GtkStatusbar     *statusbar;
  guint             context_id;
};

struct _OcrWindowClass
{
  GtkWindowClass parent_class;
};

GType			 ocr_window_get_type			(void);
void			 ocr_window_destroy			(OcrWindow *self);
GObject			*ocr_window_get_action_group		(OcrWindow *self,
								 guint      action_group_number);
GObject			*ocr_window_get_ui_manager		(OcrWindow *self);
GObject			*ocr_window_get_texttagtable		(OcrWindow *self);
GObject			*ocr_window_get_spellcheck		(OcrWindow *self);
GObject			*ocr_window_get_preferences		(OcrWindow *self);
GtkWidget		*ocr_window_get_imagelist 		(OcrWindow *self);
GtkWidget		*ocr_window_get_logo			(OcrWindow *self);
void			 ocr_window_set_cursor			(OcrWindow *self,
								 OcrCursor  cursor);
void			 ocr_window_add_panel			(OcrWindow *self,
								 GtkWidget *panel);
void			 ocr_window_destroy			(OcrWindow *self);

#endif /* __OCR_WINDOW_H__ */

